# $Revision: 1.16 $, $Date: 2004/05/19 21:30:53 $
Summary:	A C++ interface for the libbonobo
Summary(pl):	Interfejs C++ dla libbonobo
Name:		libbonobomm
Version:	1.3.8
Release:	2
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libbonobomm/1.3/%{name}-%{version}.tar.bz2
# Source0-md5:	b464048a99191e0ce3ad8504f460731f
Patch0:		%{name}-gtkmm24.patch
URL:		http://gtkmm.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glibmm-devel >= 2.4.0
BuildRequires:	libbonobo-devel >= 2.4.0
BuildRequires:	libtool
BuildRequires:	orbitcpp-devel >= 1.3.9
BuildRequires:	pkgconfig
Requires:	cpp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a C++ interface for libbonobo library.

%description -l pl
Ten pakiet dostarcza interfejs C++ dla biblioteki libbonobo.

%package devel
Summary:	Header files for libbonobomm library
Summary(pl):	Pliki nagwkowe biblioteki libbonobomm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.4.0
Requires:	libbonobo-devel >= 2.4.0
Requires:	orbitcpp-devel >= 1.3.9

%description devel
Header files for libbonobomm library.

%description devel -l pl
Pliki nagwkowe biblioteki libbonobomm.

%package static
Summary:	libbonobomm static libraries
Summary(pl):	Biblioteki statyczne libbonobomm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libbonobomm static libraries.

%description static -l pl
Biblioteki statyczne libbonobomm.

%prep
%setup -q
%patch0 -p1

%build
# exceptions and rtti are used in this package --misiek
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS NEWS
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/libbonobomm-*
%{_libdir}/glibmm-*/proc/m4/*
%{_includedir}/libbonobomm-2.0
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libbonobomm.spec,v $
Revision 1.16  2004/05/19 21:30:53  qboosh
- more gtkmm-2.0 -> glibmm-2.4 fixes (in patch and spec)

Revision 1.15  2004/05/19 19:15:28  qboosh
- added gtkmm24 patch to fix build with glibmm-2.4/libsigc++-2.0; release 2

Revision 1.14  2004/05/07 16:58:28  qboosh
- strict internal deps, fixed -devel desc (what devel doc?)

Revision 1.13  2003/11/18 13:59:06  grzegol
- updated to 1.3.8
- removed outdated orbitcpp_1_3_8 patch
- regenerate lt

Revision 1.12  2003/11/11 02:06:30  qboosh
- BR: ac,am

Revision 1.11  2003/11/10 14:43:41  grzegol
- rel. 2 to rebuild with orbitcpp-1.3.8
- added orbitcpp_1_3_8 patch (fixes building with orbit-1.3.8)
- regenerate al/ac/am

Revision 1.10  2003/10/09 13:19:09  qboosh
- BR: pkgconfig

Revision 1.9  2003/10/09 13:11:51  qboosh
- -devel deps, moved base docs to base
- removed redundant BR for ORBit2-devel (required by orbitcpp-devel)

Revision 1.8  2003/09/01 21:00:07  aflinta
- version 1.3.7

Revision 1.7  2003/08/24 16:33:14  grzegol
- updated to 1.3.6

Revision 1.6  2003/08/01 11:58:48  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.5  2003/05/26 16:25:19  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:49:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/10 00:39:21  grzegol
- updated to 1.3.5
- fixed %%files
- changed to .bz2 source

Revision 1.2  2003/03/16 20:43:07  qboosh
- pl cosmetics, ldconfig

Revision 1.1  2003/03/01 15:24:02  mkierus
- initial release
